﻿.blogs .content {
    width: 100%;
    max-width: 1000px;
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 32px;
    /*align-items: center;*/
    margin: 0 auto;
}

.blogs .categories li {
    text-align: center;
    list-style-type: none;
}

.blogs .featured-blogs {
    display: flex;
    flex-direction: column;

}

.blogs .featured-blog
{
    background: var(--white);
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
    border-radius: 10px;
    box-shadow: 0 4px 4px 0 rgba(0,0,0,0.25);
    cursor: pointer;
}

.blogs .featured-blog img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blogs .featured-blog figcaption {
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.blogs .featured-blog p {
    color: var(--secondary-orange-1200);
}

.blogs .featured-blog h3 {
    color: var(--primary-blue-100);
}

.blogs .blogs {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 48px;
    cursor: pointer;
}

.blogs .blog {
    width: 300px;
    height: 380px;
    border-radius: 10px;
    box-shadow: 0 4px 4px 0 rgba(0,0,0,0.25);
    overflow: hidden;
}

.blogs .blog .image {
    width: 100%;
    height: 210px;
    overflow: hidden;
}

.blogs .blog .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform ease-in-out 300ms;
}

.blogs .blog .image img:hover {
    transform: scale(1.1);
}

.blogs .blog figcaption {
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.blogs .blog p {
    color: var(--secondary-orange-1200);
}

.blogs .blog h3 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--primary-blue-100);
}

.blogs .actions {
    display: flex;
    justify-content: center;
}

@media (min-width: 800px) {

    .blogs .content {
        padding-inline: 0;
        /*flex-direction: row;
        flex-wrap: wrap;*/
    }

    .blogs .categories {
        width: 100%;
        max-width: 300px;
        margin-left: auto;
    }

    .blogs .featured-blogs figure {
        width: 100%;
        max-width: 1000px;
        height: 370px;
        display: flex;
        /*align-items: center;*/
        gap: 48px;
    }

    .blogs .featured-blogs figure .image {
        width: 926px;
        height: 100%;
        overflow: hidden;
    }

    .blogs .featured-blogs figure img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform ease-in-out 300ms;
    }

    .blogs .featured-blogs figure img:hover {
        transform: scale(1.2);
    }

    .blogs .featured-blog figcaption {
        padding-right: 16px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 24px;
        min-width: 400px;
        max-width: 400px;
    }

    .blogs .blogs {
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
    }

}